Skip to main content
POST
Verify Authenticity
You can use either the Public or Private API Key
This endpoint can be used to test if the NFC generated dynamic data is authentic or inauthentic.

Error Messages

  • ctrBehind - The URL has expired and is no longer valid.
  • uidMismatch - The encrypted UID did not match the UID stored in our database for the tag ID. The encrypted data was probably tampered with.
  • cmacMismatch - CMAC signature check did not succeed. The CMAC was probably tampered with.
  • doesNotExist - The tag ID is invalid and does not exist in our database.
  • inactive - The tag has been marked as inactive in our database. This is probably a result of a tag that hasn’t been completely programmed.
  • unauthorized - The tag does not belong to your organization.

Headers

string
required
Your organization’s public/private API key.

JSON Request Body

number
required
The ETRNL unique ID of the tag
string
required
The encrypted message generated by the tag
string
The CMAC integrity data generated by the tag (Only required if tamper detection is not enabled)
string
The encrypted tag tamper status generated by the tag. (Only required if tamper detection is enabled)
string
required
A KDF input parameter used for key decyrption